Update Google Business Profile location
curl --request PUT \
--url https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"selectedLocationId": "12345678901234567890"
}
'import requests
url = "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations"
payload = { "selectedLocationId": "12345678901234567890" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({selectedLocationId: '12345678901234567890'})
};
fetch('https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'selectedLocationId' => '12345678901234567890'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations"
payload := strings.NewReader("{\n \"selectedLocationId\": \"12345678901234567890\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"selectedLocationId\": \"12345678901234567890\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"selectedLocationId\": \"12345678901234567890\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"selectedLocation": {
"id": "<string>",
"name": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "never",
"retryable": true,
"type": "<string>"
}
}AIsa Social
Update Google Business Profile location
Account settings. Acts in public on your connected account; needs social:publish. Audited. Ids are yours: accounts acc_..., profiles prf_..., posts pst_...; every other object id is checked against your accounts before the call.
Switch which Google Business Profile location is active for a connected account.
<!-- aisa-pricing:start -->
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
PUT
https://api.aisa.one
/
apis
/
v1
/
social
/
accounts
/
{accountId}
/
gmb-locations
Update Google Business Profile location
curl --request PUT \
--url https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"selectedLocationId": "12345678901234567890"
}
'import requests
url = "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations"
payload = { "selectedLocationId": "12345678901234567890" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({selectedLocationId: '12345678901234567890'})
};
fetch('https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'selectedLocationId' => '12345678901234567890'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations"
payload := strings.NewReader("{\n \"selectedLocationId\": \"12345678901234567890\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"selectedLocationId\": \"12345678901234567890\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"selectedLocationId\": \"12345678901234567890\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"selectedLocation": {
"id": "<string>",
"name": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "never",
"retryable": true,
"type": "<string>"
}
}请求规范
- 方法与路径: PUT /apis/v1/social/accounts/{accountId}/gmb-locations
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/social/accounts/{accountId}/gmb-locations - accountId: path; 必填
- Runtime 事实版本: 99acb5bddbedc8d3352e7c4fef86c3e6d8852c14772bcd18dbcf415237a642bd
{
"operationId": "put_aisa_social_apis_v1_social_accounts_accountid_7ded08",
"method": "PUT",
"path": "/apis/v1/social/accounts/{accountId}/gmb-locations",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "One of your social accounts (acc_...).",
"in": "path",
"name": "accountId",
"required": true,
"schema": {
"pattern": "^acc_[0-9A-Za-z]{22}$",
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"example": {
"googleAccountId": "accounts/123456789",
"selectedLocationId": "12345678901234567890"
},
"schema": {
"properties": {
"googleAccountId": {
"description": "Optional but recommended. The Google Business Profile Account resource name (\"accounts/123\") that owns the new location (from GET gmb-locations).\n\nWhen provided, the location is resolved directly instead of by enumerating the account, which is required for accounts with many locations.\n\nNamed `googleAccountId` to disambiguate from the path `accountId` (the AIsa account). The legacy field name `accountId` is still accepted for backwards compatibility.",
"minLength": 1,
"type": "string"
},
"selectedLocationId": {
"minLength": 1,
"type": "string"
}
},
"required": [
"selectedLocationId"
],
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"description": "Included with your connected social accounts: AIsa does not charge per call.",
"kind": "no_customer_charge"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
One of your social accounts (acc_...).
Pattern:
^acc_[0-9A-Za-z]{22}$请求体
application/json
Minimum string length:
1Optional but recommended. The Google Business Profile Account resource name ("accounts/123") that owns the new location (from GET gmb-locations).
When provided, the location is resolved directly instead of by enumerating the account, which is required for accounts with many locations.
Named googleAccountId to disambiguate from the path accountId (the AIsa account). The legacy field name accountId is still accepted for backwards compatibility.
Minimum string length:
1